environment:
  matrix:
    - TARGET: i686-pc-windows-gnu
    - TARGET: i686-pc-windows-msvc
    - TARGET: x86_64-pc-windows-gnu
    - TARGET: x86_64-pc-windows-msvc

install:
  - ps: Start-FileDownload "https://static.rust-lang.org/rustup/dist/x86_64-pc-windows-msvc/rustup-init.exe"
  - rustup-init.exe -y --default-host %TARGET% --default-toolchain stable
  - set PATH=%PATH%;C:\Users\appveyor\.cargo\bin
  - rustc -V
  - cargo -V

build_script:
  - cargo build --verbose
  - cargo build --verbose --no-default-features
  - cargo build --verbose --all-features

test_script:
  - cargo test --verbose
  - cargo test --verbose --no-default-features
  - cargo test --verbose --all-features
